org.jboss.jca.common.metadata.resourceadapter

## Class WorkManagerSecurityImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.resourceadapter.WorkManagerSecurityImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity

      public class WorkManagerSecurityImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity

  WorkManager security configuration
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity

      `org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity.Attribute, org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkManagerSecurityImpl(boolean mappingRequired, java.lang.String domain, java.lang.String defaultPrincipal, java.util.List<java.lang.String> defaultGroups, java.util.Map<java.lang.String,java.lang.String> userMappings, java.util.Map<java.lang.String,java.lang.String> groupMappings)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.util.List<java.lang.String>` | `getDefaultGroups()` Get the default groups
    `java.lang.String` | `getDefaultPrincipal()` Get the default principal
    `java.lang.String` | `getDomain()` Get the domain
    `java.util.Map<java.lang.String,java.lang.String>` | `getGroupMappings()` Get the group mapping
    `java.util.Map<java.lang.String,java.lang.String>` | `getUserMappings()` Get the user mapping
    `int` | `hashCode()`
    `boolean` | `isMappingRequired()` Is mapping required
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkManagerSecurityImpl

          public WorkManagerSecurityImpl(boolean mappingRequired,
                                         java.lang.String domain,
                                         java.lang.String defaultPrincipal,
                                         java.util.List<java.lang.String> defaultGroups,
                                         java.util.Map<java.lang.String,java.lang.String> userMappings,
                                         java.util.Map<java.lang.String,java.lang.String> groupMappings)

      Constructor
      Parameters:
        `mappingRequired` - Is a mapping required
        `domain` - The security domain
        `defaultPrincipal` - A default principal
        `defaultGroups` - Default groups
        `userMappings` - User mappings
        `groupMappings` - Group mappings

  - ### Method Detail

    - #### isMappingRequired

          public boolean isMappingRequired()

      Is mapping required
      Specified by:
        `isMappingRequired` in interface `org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity`
      Returns:
        The value

    - #### getDomain

          public java.lang.String getDomain()

      Get the domain
      Specified by:
        `getDomain` in interface `org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity`
      Returns:
        The value

    - #### getDefaultPrincipal

          public java.lang.String getDefaultPrincipal()

      Get the default principal
      Specified by:
        `getDefaultPrincipal` in interface `org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity`
      Returns:
        The value

    - #### getDefaultGroups

          public java.util.List<java.lang.String> getDefaultGroups()

      Get the default groups
      Specified by:
        `getDefaultGroups` in interface `org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity`
      Returns:
        The value

    - #### getUserMappings

          public java.util.Map<java.lang.String,java.lang.String> getUserMappings()

      Get the user mapping
      Specified by:
        `getUserMappings` in interface `org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity`
      Returns:
        The value

    - #### getGroupMappings

          public java.util.Map<java.lang.String,java.lang.String> getGroupMappings()

      Get the group mapping
      Specified by:
        `getGroupMappings` in interface `org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity`
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)